/**
 * 
 */
package gov.va.med.cds.persistence;

import junit.framework.Assert;
import gov.va.med.cds.junit.runners.Suite;
import gov.va.med.cds.junit.runners.SuiteAwareRunner;

import org.junit.Test;
import org.junit.runner.RunWith;

/**
 * @author DNS   egberb
 *
 */
@RunWith( SuiteAwareRunner.class )
public class QueryAssociationMetaDataTest
{
    @Test
    @Suite( groups = { "checkintest" } )
    public void testSetGetBeanProperties( )
        throws Exception
    {
        QueryAssociationMetaData queryAssociationMetaData = new QueryAssociationMetaData();
        queryAssociationMetaData.setAssociationName( "associationName" );
        queryAssociationMetaData.setFilterModelName( "filterModelName" );
        queryAssociationMetaData.setKey( "key" );
        queryAssociationMetaData.setParentKey( "parentKey" );
        
        Assert.assertEquals( "associationName", queryAssociationMetaData.getAssociationName() );
        Assert.assertEquals( "filterModelName", queryAssociationMetaData.getFilterModelName() );
        Assert.assertEquals( "key", queryAssociationMetaData.getKey() );
        Assert.assertEquals( "parentKey", queryAssociationMetaData.getParentKey() );
    }
}
